# Robot: Job Status

This API enables you to track the current status of a background job. When the job is complete, the response also
includes a download link for the generated result/output.

## URL

```
GET https://cloud.octagst.com/api/robot/jobstatus/<jobId>
```

## URL Parameters

The `jobId` must be included as the final segment of the URL path when making this request.

## Query Parameters

This API does not require any query parameters.

## Request Headers

This API requires following HTTP headers:

- `Authorization`

## Response

The response will contain following fields:

| Parameter   | Data Type | Type     | Description                                                      |
| ----------- | --------- | -------- | ---------------------------------------------------------------- |
| `jobStatus` | integer   | Required | Status of the job                                                |
| `error`     | String    | Optional | Error message - present only if job failed                       |
| `url`       | String    | Optional | Download URL - if job has completed and it has downloadable data |

`jobStatus` values are described below:

| JobStatus | Description                                            |
| --------- | ------------------------------------------------------ |
| 0         | **Waiting** - Job is waiting in queue                  |
| 1         | **Working** - Job is in progress                       |
| 100       | **Success** - Job is complete                          |
| 101       | **Failed** - An error occurred while executing the job |

> **Tip:** If the response includes a download URL, the client should retrieve the data immediately. Please note that all
> download links are time-bound and will automatically expire after a predefined period.